Table of Contents

## Name

XSetTransientForHint, XGetTransientForHint - set or read a window's WM_TRANSIENT_FOR property

## Syntax

XSetTransientForHint(display, w, prop_window)
Display *display;
Window w;
Window prop_window;

Status XGetTransientForHint(display, w, prop_window_return)
Display *display;
Window w;
Window *prop_window_return;

## Arguments

display
  Specifies the connection to the X server.
w
  Specifies the window.
prop_window
  Specifies the window that the WM_TRANSIENT_FOR property is to be set to.
prop_window_return
  Returns the WM_TRANSIENT_FOR property of the specified window.

## Description

The XSetTransientForHint function sets the WM_TRANSIENT_FOR property of the specified window to the specified prop_window.

XSetTransientForHint can generate BadAlloc and BadWindow errors.

The XGetTransientForHint function returns the WM_TRANSIENT_FOR property for the specified window. It returns a nonzero status on success; otherwise, it returns a zero status.

XGetTransientForHint can generate a BadWindow error.

## Properties

WM_TRANSIENT_FOR
  Set by application programs to indicate to the window manager that a transient top-level window, such as a dialog box.

## Diagnostics

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadWindow
  A value for a Window argument does not name a defined Window.

## See Also

XAllocClassHint(3X11) , XAllocIconSize(3X11) , XAllocSizeHints(3X11) , XAllocWMHints(3X11) , XSetCommand(3X11) , XSetTextProperty(3X11) , XSetWMClientMachine(3X11) , XSetWMColormapWindows(3X11) , XSetWMIconName(3X11) , XSetWMName(3X11) , XSetWMProperties(3X11) , XSetWMProtocols(3X11) , XStringListToTextProperty(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Properties
- Diagnostics
- See Also